<?php

require_once(__DIR__ . '/../Class/class.gestionFiche.php');
$gestionFiche = new Class_gestionFiche($pdo);

$LesUtilisateurs = $gestionFiche->getLesUtilisateurs(); //RENVOIE LISTE USERS

if ($_SESSION["typeU"] == "comptable") {
    if (isset($_REQUEST['selVisiteur'])) {
        $userId = $_REQUEST['selVisiteur'];
    } else {
        $userId = $LesUtilisateurs[0]['uId'];
    }
} else {
    $userId = $_SESSION['uId'];
}

//Pagination
if(isset($_GET['page']) && !empty($_GET['page'])){
    $currentPage = (int) strip_tags($_GET['page']);
}else{
    $currentPage = 1;
}

$pages = ceil($gestionFiche->get_nbFicheAvalider() / $gestionFiche::$NB_LIGNES_FICHEAVALIDER);

$lesFiches = $gestionFiche->get_ficheAvalider($currentPage);

include("vues/v_fichesAvalider.php");
